Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

CODESYSen web zerbitzariak duen ahultasunak hainbat produkturi eragin die

Argitalpen data: 2019/02/21

Garrantzia: Kritikoa

Kaltetutako baliabideak:

  • BeagleBone , emPC-A/iMX6, IOT2000, Linux, PFC100, PFC200 eta Raspberry Pi-rako CODESYS Control
  • CODESYS Control RTE, 3. bertsioa eta Beckhoff CXerako bertsioa
  • CODESYS Control Win, 3. bertsioa
  • CODESYS HMI, 3. bertsioa
  • CODESYS Control, Runtime System Toolkit 3. bertsioa
  • CODESYS, Embedded Target Visu Toolkit eta Remote Target VisuToolkit 3. bertsioa

Azalpena:

Schneider Electric-eko Ivan Cheyrezy-k larritasun kritikoko ahultasun bat aurkitu du CODESYSen hainbat produktutan. Urruneko erasotzaile batek kodea exekuta lezake, informazioa eskuratu edo zerbitzuaren ukapen egoera (DoS) sortu.

Konponbidea:

  • Kaltetutako CODESYS produktuak 3.5.14.10 bertsiora eguneratzea.

Xehetasuna:

  • Web zerbitzariak duen ahultasuna sortzen da asmo gaiztoz eta bereziki sortuak izan diren http edo https eskaerak prozesatzean. Erasotzaile batek laneko direktoriotik kanpoko fitxategietara sarbidea lor lezake direktorio jauzi baten bidez. Era berean, posible da web zerbitzaria gelditzea pilaren gainezkatzea gertatzearen ondorioz. Horrek urrunetik kodea exekutatzea edo zerbitzuaren ukapen egoera sortzea eragin lezake.

Etiketak: Eguneraketa, SCADA, Ahultasuna